Package org.apache.sis.metadata.iso.quality

## Class DefaultAbsoluteExternalPositionalAccuracy

- Object
- - AbstractMetadata
  - - ModifiableMetadata
    - - ISOMetadata
      - - AbstractElement
        - - AbstractPositionalAccuracy
          - - DefaultAbsoluteExternalPositionalAccuracy

- All Implemented Interfaces:
    `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`, `AbsoluteExternalPositionalAccuracy`, `Element`, `PositionalAccuracy`

      public class DefaultAbsoluteExternalPositionalAccuracy
      extends AbstractPositionalAccuracy
      implements AbsoluteExternalPositionalAccuracy

  Closeness of reported coordinate values to values accepted as or being true. The following property is mandatory in a well-formed metadata according ISO 19115:
  `DQ_AbsoluteExternalPositionalAccuracy` `└─result……………` Value obtained from applying a data quality measure.

  Limitations:

  - Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
  - Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ModifiableMetadata

      `ModifiableMetadata​.State`

  - ### Field Summary

    - ### Fields inherited from class ISOMetadata

      `identifiers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultAbsoluteExternalPositionalAccuracy()` | Constructs an initially empty absolute external positional accuracy.
    `DefaultAbsoluteExternalPositionalAccuracy​(AbsoluteExternalPositionalAccuracy object)` | Constructs a new instance initialized with the values from the specified metadata object.
    `DefaultAbsoluteExternalPositionalAccuracy​(Result result)` | Creates an positional accuracy initialized to the given result.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DefaultAbsoluteExternalPositionalAccuracy` | `castOrCopy​(AbsoluteExternalPositionalAccuracy object)` | Returns a SIS metadata implementation with the values of the given arbitrary implementation.

    - ### Methods inherited from class AbstractPositionalAccuracy

      `castOrCopy`

    - ### Methods inherited from class AbstractElement

      `castOrCopy, getDates, getEvaluationMethodDescription, getEvaluationMethodType, getEvaluationProcedure, getMeasureDescription, getMeasureIdentification, getNamesOfMeasure, getResults, setDates, setEvaluationMethodDescription, setEvaluationMethodType, setEvaluationProcedure, setMeasureDescription, setMeasureIdentification, setNamesOfMeasure, setResults`

    - ### Methods inherited from class ISOMetadata

      `getIdentifier, getIdentifierMap, getIdentifiers, getStandard, setIdentifier, transitionTo`

    - ### Methods inherited from class ModifiableMetadata

      `checkWritePermission, checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, freeze, isModifiable, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, unmodifiable, writeCollection, writeList, writeMap, writeSet`

    - ### Methods inherited from class AbstractMetadata

      `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

    - ### Methods inherited from class Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface Element

      `getDates, getEvaluationMethodDescription, getEvaluationMethodType, getEvaluationProcedure, getMeasureDescription, getMeasureIdentification, getNamesOfMeasure, getResults`

- - ### Constructor Detail

    - #### DefaultAbsoluteExternalPositionalAccuracy

          public DefaultAbsoluteExternalPositionalAccuracy()

      Constructs an initially empty absolute external positional accuracy.

    - #### DefaultAbsoluteExternalPositionalAccuracy

          public DefaultAbsoluteExternalPositionalAccuracy​(Result result)

      Creates an positional accuracy initialized to the given result.
      Parameters:
        `result` - the value obtained from applying a data quality measure against a specified acceptable conformance quality level.

    - #### DefaultAbsoluteExternalPositionalAccuracy

          public DefaultAbsoluteExternalPositionalAccuracy​(AbsoluteExternalPositionalAccuracy object)

      Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the metadata to copy values from, or `null` if none.
      See Also:
        `castOrCopy(AbsoluteExternalPositionalAccuracy)`

  - ### Method Detail

    - #### castOrCopy

          public static DefaultAbsoluteExternalPositionalAccuracy castOrCopy​(AbsoluteExternalPositionalAccuracy object)

      Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
      - If the given object is `null`, then this method returns `null`.
      - Otherwise if the given object is already an instance of `DefaultAbsoluteExternalPositionalAccuracy`, then it is returned unchanged.
      - Otherwise a new `DefaultAbsoluteExternalPositionalAccuracy` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the object to get as a SIS implementation, or `null` if none.
      Returns:
        a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.